public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/hydrus/files/, media-gfx/hydrus/
Date: Sat, 20 May 2023 06:28:12 +0000 (UTC)	[thread overview]
Message-ID: <1684564073.265dd934889a072b01dde94461a4c2c120afe545.sam@gentoo> (raw)

commit:     265dd934889a072b01dde94461a4c2c120afe545
Author:     Ekaterina Vaartis <vaartis <AT> kotobank <DOT> ch>
AuthorDate: Thu May 18 07:36:44 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat May 20 06:27:53 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=265dd934

media-gfx/hydrus: Add 528

Signed-off-by: Ekaterina Vaartis <vaartis <AT> kotobank.ch>
Closes: https://github.com/gentoo/gentoo/pull/30890
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/hydrus/Manifest            |   1 +
 media-gfx/hydrus/files/hydrus-client |   2 +-
 media-gfx/hydrus/files/hydrus-server |   2 +-
 media-gfx/hydrus/hydrus-528.ebuild   | 150 +++++++++++++++++++++++++++++++++++
 4 files changed, 153 insertions(+), 2 deletions(-)

diff --git a/media-gfx/hydrus/Manifest b/media-gfx/hydrus/Manifest
index 74a0905424a2..3d788aac622b 100644
--- a/media-gfx/hydrus/Manifest
+++ b/media-gfx/hydrus/Manifest
@@ -1 +1,2 @@
 DIST hydrus-526.tar.gz 41182831 BLAKE2B cf41641625d6c8d64aeea78f56f643a39a6bf8030c919e0a83e5b7183ee7f5a03edef5574f67fb023c79e9e4d757e79f536d91d57ca8a097cc7c380075036c0b SHA512 ed8fff59563bbe8f8c3b235a188575be9d56aa5cf7e70cf340215a7af910247ba711061020f257dbdf1032b5d0ebd5e8995411f60ffe6b6ba9061d189b6274cd
+DIST hydrus-528.tar.gz 41492703 BLAKE2B 3e97e64a2bbdd513441c5ae34640779934057ec4bcea9ef806a3bbc053d5849af69eed79edca35b9b9f276bdc53c379c10a613b1efb7bb3e2e69dbcc4b210038 SHA512 b9c9069a92fd82c6c6137aeaf205c5cac2c34d31dce2174308c796e9289fc64b346eabb8ef55e2fef78ac0af73c1b8c14aa507f9d4508759e435ac7eb01400bb

diff --git a/media-gfx/hydrus/files/hydrus-client b/media-gfx/hydrus/files/hydrus-client
index 7a6e42747c5c..7c52292930f8 100644
--- a/media-gfx/hydrus/files/hydrus-client
+++ b/media-gfx/hydrus/files/hydrus-client
@@ -1,3 +1,3 @@
 #!/bin/sh
 export QT_API="${QT_API:-pyside2}"
-exec /usr/bin/python -OO /opt/hydrus/client.pyw "$@"
+exec /usr/bin/python -OO /opt/hydrus/hydrus_client.pyw "$@"

diff --git a/media-gfx/hydrus/files/hydrus-server b/media-gfx/hydrus/files/hydrus-server
index cecb9adc1a2d..4f560b84f2e9 100644
--- a/media-gfx/hydrus/files/hydrus-server
+++ b/media-gfx/hydrus/files/hydrus-server
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec /usr/bin/python -OO /opt/hydrus/server.py "$@"
+exec /usr/bin/python -OO /opt/hydrus/hydrus_server.py "$@"

diff --git a/media-gfx/hydrus/hydrus-528.ebuild b/media-gfx/hydrus/hydrus-528.ebuild
new file mode 100644
index 000000000000..a3502913de33
--- /dev/null
+++ b/media-gfx/hydrus/hydrus-528.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="sqlite"
+
+DOCS_BUILDER=mkdocs
+DOCS_DEPEND="dev-python/mkdocs-material dev-python/regex"
+
+inherit python-single-r1 desktop docs optfeature
+
+DESCRIPTION="A booru-like media organizer for the desktop"
+HOMEPAGE="https://hydrusnetwork.github.io/hydrus/ https://github.com/hydrusnetwork/hydrus"
+
+if [[ "${PV}" == "9999" ]]; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/hydrusnetwork/hydrus.git"
+else
+	SRC_URI="https://github.com/hydrusnetwork/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+	KEYWORDS="~amd64"
+fi
+
+# hydrus itself is WTFPL
+# icons included are CC-BY-2.5
+LICENSE="WTFPL-2 CC-BY-2.5"
+SLOT="0"
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="!test? ( test )"
+
+# RDEPEND is sorted as such:
+# - No specific requirements
+# - Specific version or slot
+RDEPEND="
+	${PYTHON_DEPS}
+	$(python_gen_cond_dep '
+		dev-python/cbor2[${PYTHON_USEDEP}]
+		dev-python/chardet[${PYTHON_USEDEP}]
+		dev-python/cloudscraper[${PYTHON_USEDEP}]
+		dev-python/html5lib[${PYTHON_USEDEP}]
+		dev-python/lxml[${PYTHON_USEDEP}]
+		dev-python/numpy[${PYTHON_USEDEP}]
+		dev-python/pillow[${PYTHON_USEDEP},lcms]
+		dev-python/psutil[${PYTHON_USEDEP}]
+		dev-python/pyopenssl[${PYTHON_USEDEP}]
+		dev-python/pyside2[widgets,gui,${PYTHON_USEDEP}]
+		dev-python/python-mpv[${PYTHON_USEDEP}]
+		dev-python/pyyaml[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		dev-python/send2trash[${PYTHON_USEDEP}]
+		dev-python/service_identity[${PYTHON_USEDEP}]
+		dev-python/six[${PYTHON_USEDEP}]
+		dev-python/twisted[${PYTHON_USEDEP}]
+		media-libs/opencv[python,png,jpeg,${PYTHON_USEDEP}]
+		media-video/ffmpeg
+
+		>=dev-python/QtPy-1.9.0-r4[pyside2,${PYTHON_USEDEP}]
+		dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+	')
+"
+BDEPEND="
+	${RDEPEND}
+	$(python_gen_cond_dep '
+		test? (
+			dev-python/httmock[${PYTHON_USEDEP}]
+			dev-python/mock[${PYTHON_USEDEP}]
+
+			dev-python/pyside2[widgets,gui,multimedia,${PYTHON_USEDEP}]
+		)
+	')
+"
+
+PATCHES=(
+	"${FILESDIR}/userpath-in-local-share.patch"
+)
+
+src_prepare() {
+	default
+
+	# Contains pre-built binaries for other systems and a broken swf renderer for linux
+	rm -r bin/ || die
+	# Python requirements file, not needed
+	rm requirements.txt || die
+	# Remove unneeded additional scripts
+	rm *.command *.sh *.bat || die
+}
+
+src_compile() {
+	python_optimize "${S}"
+	docs_compile
+}
+
+src_test() {
+	# The tests use unittest, but are run with a custom runner script.
+	# QT_QPA_PLATFORM is required to make them run without X
+	local -x QT_QPA_PLATFORM=offscreen
+	"${EPYTHON}" "${S}/hydrus_test.py" || die "Tests failed"
+}
+
+src_install() {
+	local doc="${EPREFIX}/usr/share/doc/${PF}"
+	elog "Hydrus includes an excellent manual, that can either be viewed at"
+	elog "${doc}/html/help/index.html"
+	elog "or accessed through the hydrus help menu."
+
+	mv "help my client will not boot.txt" "help_my_client_will_not_boot.txt" || die
+
+	local DOCS=(COPYING README.md help_my_client_will_not_boot.txt db/)
+	einstalldocs
+
+	# Files only needed for testing
+	rm hydrus_test.py hydrus/hydrus_test_boot.py || die
+	rm -r hydrus/test/ static/testing/ || die
+	# Build files used for CI and development, not actually needed. Has to be deleted after src_compile.
+	# because it contains documentation
+	rm -r static/build_files static/requirements || die
+
+	# ${DOCS[@]} files are copied into doc
+	# ${S}/docs/ is the markdown source code for documentation
+	# .gitignore/.github files aren't needed for the program to work, same with mkdocs files
+	rm -r "${DOCS[@]}" "${S}/docs/" .gitignore .github/ mkdocs.yml mkdocs-gh-pages.yml || die
+	if use doc; then
+		# ${S}/_build = ${DOCS_OUTDIR}/.. , these have already been copied, remove before installation
+		rm -r "${S}/_build" || die
+		# The program expects to find documentation here, so add a symlink to doc
+		dosym "${doc}/html" /opt/hydrus/help
+	fi
+
+	insinto /opt/hydrus
+	doins -r "${S}"/.
+
+	exeinto /usr/bin
+	python_newexe - hydrus-server < <(sed "s/python/${EPYTHON}/" "${FILESDIR}/hydrus-server" || die)
+	python_newexe - hydrus-client < <(sed "s/python/${EPYTHON}/" "${FILESDIR}/hydrus-client" || die)
+
+	make_desktop_entry "hydrus-client" "Hydrus Client" "/opt/hydrus/static/hydrus_non-transparent.png" \
+					   "AudioVideo;FileTools;Graphics;Network;"
+}
+
+pkg_postinst() {
+	optfeature "automatic port forwarding support" "net-libs/miniupnpc"
+	optfeature "bandwidth charts support" "dev-python/pyside2[charts]"
+	optfeature "memory compression in the client" "dev-python/lz4"
+	optfeature "SOCKS proxy support" "dev-python/requests[socks5]" "dev-python/PySocks"
+}


             reply	other threads:[~2023-05-20  6:28 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-20  6:28 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-08-02  3:34 [gentoo-commits] repo/gentoo:master commit in: media-gfx/hydrus/files/, media-gfx/hydrus/ Sam James
2021-06-05 12:36 Michał Górny
2021-05-31 14:11 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684564073.265dd934889a072b01dde94461a4c2c120afe545.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox